Subject: Re: console support under win32
From: [email-masked]

25 Jan 1997 17:48:04 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

At 09:32 PM 1/24/97 +0100, you wrote:
>[email-masked] writes:
>> 2. I have seen people mention compiling with "internal or default"
>> console/terminal support, I am assuming that this is a common thing, can
>> anyone tell me how exactly it is done?
>> 
>
>Look at the 'Consoles and Character-Mode Support' in the SDK documentation.
>This is the 'curses' equivalent of Win95: you use high level functions to
>access the text screen like WriteConsole, ReadConsole etc. They use a 
>'CHAR_INFO' structure, and you can set colors, highlight, etc. You can
>write at specific screen positions using WriteConsoleOutput specifying the
>coordinates in a COORD structure. But I think a full blown explanation
>would be too much for this mailing list... :-)
>
How about this, is there some whay to write a TERMCAP.DLL or TERMLIB.DLL or
even incorporate some type of wrapper so that one could actually write/port
such things as less etc... without having to have huge chunks of specialized
i/o code in each program... Perhaps this has already been done....

Bradley

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".